{% extends 'base.html' %}

{% block title %}Index{% endblock %}

{% block content %}

<div class="row">
    <div class="col-8 mx-auto">
        <h1>Index Page</h1>
        <hr>

        <form method="post">
            {% csrf_token %}
            {{form.as_p}}
            <input type="submit" class="btn btn-success" value="Submit">
        </form>
    </div>
</div>

<script>

    $('#id_zone').on('change', function(){
        const zone_id = $(this).val();
        const zone_name = $('#id_zone option:selected').text();
        console.log(zone_id, zone_name)
 
        const districtUrl = "{% url 'get_district' 11 %}".replace(11, zone_id);

        $.ajax({
            url: districtUrl,
            method: 'GET',

            success: function(response){
                if(response.status == 200){

                    let r = `<option value selected>--------</option>`;

                    $.each(response.data, function(index, value){
                        // console.log(value)
                        r += `<option value="${value['id']}">${zone_name} -> ${value['name']}</option>`;
                    });

                    $('#id_district').empty().append(r);

                }
            },
            error: function(respone){
                console.log(error);
            }
        })
        
    })


</script>
{% endblock %}